<?php

include_once(dirname(__FILE__).'/Base.php');

class TypeTimeDiff extends TypeInteger
{
  function OnView(array $Item): ?string
  {
    if ($Item['Value'] == null) $Output = '';
    else {
      $Output = sprintf('%02d', floor($Item['Value'] / 3600) % 24).':'.
        sprintf('%02d', floor($Item['Value'] / 60) % 60).':'.
        sprintf('%02d', floor($Item['Value']) % 60);
      $Days = floor($Item['Value'] / (60 * 60 * 24));
      if ($Days > 0) $Output = $Days.' dnů '.$Output;
    }
    return $Output;
  }
}
